Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | List of all members
OpenFlipperQSettings Class Reference
Inheritance diagram for OpenFlipperQSettings:

## Public Member Functions
| OpenFlipperQSettings (const QString &organization, const QString &application=QString(), QObject *parent=0)
| OpenFlipperQSettings (QSettings::Scope scope, const QString &organization, const QString &application=QString(), QObject *parent=0)
| OpenFlipperQSettings (QSettings::Format format, QSettings::Scope scope, const QString &organization, const QString &application=QString(), QObject *parent=0)
| OpenFlipperQSettings (const QString &fileName, QSettings::Format format, QObject *parent=0)
| OpenFlipperQSettings (QObject *parent=0)
QVariant | value (const QString &key, const QVariant &defaultValue=QVariant()) const
void | setValue (const QString &key, const QVariant &value)
| Wrapper function which makes it possible to enable Debugging output with -DOPENFLIPPER_SETTINGS_DEBUG.

## Detailed Description

Definition at line 56 of file OpenFlipperQSettings.hh.

## Member Function Documentation

QVariant OpenFlipperQSettings::value | ( | const QString & | key,
|  | const QVariant & | defaultValue = `QVariant()`
| ) |  | const

Wrapper function for QSettings::value() that outputs an error message to console if the key was not found and no default value given. This is supposed to prevent Plugin authors from forgetting to specify the defaultValue. ;) Additionally it is possible to enable Debugging output with -DOPENFLIPPER_SETTINGS_DEBUG

Definition at line 53 of file OpenFlipperQSettings.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/common/OpenFlipperQSettings.hh
- OpenFlipper/common/OpenFlipperQSettings.cc